<?php

//  agency.deactivate
$agencyDeactivate_sig = array(array("boolean", "int"));
$agencyDeactivate_doc = "Accepts one agency id int parameter, returns true if agency is successfully deactivated.";
$agencyDeactivate_alias = 'agency.deactivate';

function Max_RPC_Server_agencyDeactivate($msg)
{
    $agencyId = $msg->getParam(0);
    require_once MAX_PATH . '/lib/max/Admin_DA.php';
    $ret = Admin_DA::disableAgency($agencyId->scalarVal());
    
    //  check for valid DB results
    if (PEAR::isError($ret)) {
        $errorCode = $XML_RPC_erruser + $ret->getCode();
        $errorMsg  = 'PEAR error: ' . $ret->getMessage();
        $return =  new XML_RPC_Response(0, $errorCode, $errorMsg);
    } else {
    
        $result = new XML_RPC_Value($ret, "boolean");
        $return = new XML_RPC_Response($result);
    }
    return $return;
}

?>